#include<iostream>
#include<queue>
using namespace std;
bool moguce(int n,int m,int k){
    if(k>n)return false;
    if(k>m)return false;
    queue<int>red;
    int x=n;
    int i=0;
    if(x%k==0){
        do{
            red.push(n-(x/k));
            n-=n-(x/k);
            cout<<n;
            i++;
        }while(i<k&&n>0);
    }
    else{
     while(i<k&&x%k!=0&&n>0){
        red.push(n-(n/k+x%k));
        n-=n-(n/k+x%k);
        cout<<n;
        i++;
        }
    }
    for(i=0;i<=k;i++){
        for(int j=0;j<red.front();j++){
            m-=j;
            if(m<0)
            {
                return false;
            }
        }
        red.pop();

    }
    return true;
}

int main(){
ios_base::sync_with_stdio(false);
int t;
cin>>t;
queue<int>red;
for(int i=0;i<t;i++){
    int n,m,k;
    cin>>n>>m>>k;
    red.push(n);
    red.push(m);
    red.push(k);


}
while(!red.empty()){
    int n=red.front();
    red.pop();
    int m=red.front();
    red.pop();
    int k=red.front();
    red.pop();
    if(moguce(n,m,k))cout<<"Tak"<<"\n";
    else cout<<"Nie"<<"\n";
}
return 0;
}